kdesignerplugin-5.57.0-1.1.i586.rpm


Advertisement

Description

kdesignerplugin - Framework for integration of KDE frameworks widgets with Qt Designer

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename kdesignerplugin-5.57.0-1.1.i586.rpm
Package name kdesignerplugin
Package version 5.57.0
Package release 1.1
Package architecture i586
Package type rpm
Category System/GUI/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 101.72 KB
Installed size 356.65 KB
This framework provides plugins for Qt Designer that allow it to display
the widgets provided by various KDE frameworks, as well as a utility
(kgendesignerplugin) that can be used to generate other such plugins
from ini-style description files.

Alternatives

Package Version Architecture Repository
kdesignerplugin-5.58.0git.20190421T180107~e8b0494-ku.26.3.x86_64.rpm 5.58.0git.20190421T180107~e8b0494 x86_64 KDE Frameworks Unstable
kdesignerplugin-5.58.0git.20190421T180107~e8b0494-ku.26.3.i586.rpm 5.58.0git.20190421T180107~e8b0494 i586 KDE Frameworks Unstable
kdesignerplugin-5.57.0-172.2.x86_64.rpm 5.57.0 x86_64 KDE Frameworks 5
kdesignerplugin-5.57.0-172.2.i586.rpm 5.57.0 i586 KDE Frameworks 5
kdesignerplugin-5.57.0-1.1.x86_64.rpm 5.57.0 x86_64 openSUSE Oss
kdesignerplugin - - -

Requires

Name Value
/sbin/ldconfig -
libKF5Completion.so.5 -
libKF5ConfigCore.so.5 -
libKF5ConfigWidgets.so.5 -
libKF5CoreAddons.so.5 -
libKF5IconThemes.so.5 -
libKF5ItemViews.so.5 -
libKF5KIOFileWidgets.so.5 -
libKF5KIOWidgets.so.5 -
libKF5Plotting.so.5 -
libKF5SonnetUi.so.5 -
libKF5TextWidgets.so.5 -
libKF5WidgetsAddons.so.5 -
libKF5XmlGui.so.5 -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libc.so.6(GLIBC_2.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
kdesignerplugin = 5.57.0-1.1
kdesignerplugin(x86-32) = 5.57.0-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package kdesignerplugin-5.57.0-1.1.i586.rpm
Source Package kdesignerplugin-5.57.0-1.1.src.rpm

Install Howto

Install kdesignerplugin rpm package:

# zypper install kdesignerplugin

Files

Path
/usr/bin/kgendesignerplugin
/usr/lib/qt5/plugins/
/usr/lib/qt5/plugins/designer/kf5widgets.so
/usr/share/doc/packages/kdesignerplugin/README.md
/usr/share/kf5/widgets/
/usr/share/kf5/widgets/pics/k3iconview.png
/usr/share/kf5/widgets/pics/k3listview.png
/usr/share/kf5/widgets/pics/kactionselector.png
/usr/share/kf5/widgets/pics/kactivelabel.png
/usr/share/kf5/widgets/pics/kcharselect.png
/usr/share/kf5/widgets/pics/kcmodule.png
/usr/share/kf5/widgets/pics/kcolorbutton.png
/usr/share/kf5/widgets/pics/kcolorcombo.png
/usr/share/kf5/widgets/pics/kcombobox.png
/usr/share/kf5/widgets/pics/kdatepicker.png
/usr/share/kf5/widgets/pics/kdatetable.png
/usr/share/kf5/widgets/pics/kdualcolorbutton.png
/usr/share/kf5/widgets/pics/kfontcombo.png
/usr/share/kf5/widgets/pics/kfontrequester.png
/usr/share/kf5/widgets/pics/kgradientselector.png
/usr/share/kf5/widgets/pics/khistorycombo.png
/usr/share/kf5/widgets/pics/khsselector.png
/usr/share/kf5/widgets/pics/kiconbutton.png
/usr/share/kf5/widgets/pics/kkeybutton.png
/usr/share/kf5/widgets/pics/kled.png
/usr/share/kf5/widgets/pics/klineedit.png
/usr/share/kf5/widgets/pics/klistbox.png
/usr/share/kf5/widgets/pics/kpalettetable.png
/usr/share/kf5/widgets/pics/kpasswordedit.png
/usr/share/kf5/widgets/pics/kruler.png
/usr/share/kf5/widgets/pics/ksqueezedtextlabel.png
/usr/share/kf5/widgets/pics/ktextedit.png
/usr/share/kf5/widgets/pics/kurlcomborequester.png
/usr/share/kf5/widgets/pics/kurllabel.png
/usr/share/kf5/widgets/pics/kurlrequester.png
/usr/share/licenses/kdesignerplugin/COPYING.LIB
/usr/share/man/man1/kgendesignerplugin.1.gz

Changelog

2019-04-14 - lbeltrame@kde.org
- Update to 5.57.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- Changes since 5.56.0:
* It compiles fine without deprecated method
* Compile fine without foreach
2019-03-10 - lbeltrame@kde.org
- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Make it compile with QT_NO_CAST_FROM_ASCII
2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* No code changes since 5.54.0
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* No code changes since 5.53.0
2018-12-15 - Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summaries.
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Fix compile time warnings about nullptr
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* Reference product "KF5" in widget metadata, instead of "KDE"
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* No code changes since 5.50.0

See Also

Package Description
kdesignerplugin-devel-5.57.0-1.1.i586.rpm Build environment for kdesignerplugin, a framework for integration of KDE frameworks widgets
kdesignerplugin-devel-5.57.0-1.1.x86_64.rpm Build environment for kdesignerplugin, a framework for integration of KDE frameworks widgets
kdesignerplugin-lang-5.57.0-1.1.noarch.rpm Translations for package kdesignerplugin
kdesu-devel-32bit-5.57.0-1.1.x86_64.rpm User interface for running shell commands with root privileges
kdesu-devel-5.57.0-1.1.i586.rpm User interface for running shell commands with root privileges
kdesu-devel-5.57.0-1.1.x86_64.rpm User interface for running shell commands with root privileges
kdesvn-2.0.0-5.3.i586.rpm KDE Subversion Client
kdesvn-2.0.0-5.3.x86_64.rpm KDE Subversion Client
kdevelop5-5.3.2-1.3.i586.rpm Plugin-extensible IDE for C/C++ and other programming languages
kdevelop5-5.3.2-1.3.x86_64.rpm Plugin-extensible IDE for C/C++ and other programming languages
kdevelop5-lang-5.3.2-1.3.noarch.rpm Translations for package kdevelop5
kdevelop5-pg-qt-2.1.0-1.4.i586.rpm Supporting package for the additional plugins for Kdevelop5
kdevelop5-pg-qt-2.1.0-1.4.x86_64.rpm Supporting package for the additional plugins for Kdevelop5
kdevelop5-plugin-clang-tidy-0.3.3-1.4.i586.rpm KDevelop plugin to support static analysis
kdevelop5-plugin-clang-tidy-0.3.3-1.4.x86_64.rpm KDevelop plugin to support static analysis
Advertisement
Advertisement